PQ_NUM_FOBJ_TYPES = 3;

PQ_FObj_Types = { ["time"]=1, 
			["death"]=2, 
			["death_spirit"]=3
			};

PQ_FObj_Type_Frame = { [0] = "PQ_SELECT_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_NOSETTINGS_TYPE_FRAME",
			"PQ_NOSETTINGS_TYPE_FRAME"
			};
			
PQ_FObj_Type_Init = {};

PQ_FObj_Type_Init[1] = function ()
	MF_ItemBox:Hide();
	MF_OP_Frame:Hide();
	PQ_MF_LBL1:Hide();
	MF_1Text:Hide();
	MF_1_TextBox:Hide();

	PQ_MF_LBL2:SetText(PQ_TIME_TO_DOIT);
end


PQ_FObj_Type_LoadFunc = {};

PQ_FObj_Type_LoadFunc[1] = function ( rid )
	MF_2_TextBox:SetText(""..PlayerQuest.wizard.Working.failureConditions[rid].failTime);
end

PQ_FObj_Type_SaveFunc = {};

PQ_FObj_Type_SaveFunc[0] = function ( rid )
	PlayerQuest.wizard.Working.failureConditions[rid] = nil;
end;

PQ_FObj_Type_SaveFunc[1] = function ( rid )
	PlayerQuest.wizard.Working.failureConditions[rid] = {};

	PlayerQuest.wizard.Working.failureConditions[rid].type = "time";
	PlayerQuest.wizard.Working.failureConditions[rid].failTime = tonumber(MF_2_TextBox:GetText());
end

PQ_FObj_Type_SaveFunc[2] = function ( rid )
	PlayerQuest.wizard.Working.failureConditions[rid] = {};

	PlayerQuest.wizard.Working.failureConditions[rid].type = "death";
end

PQ_FObj_Type_SaveFunc[3] = function ( rid )
	PlayerQuest.wizard.Working.failureConditions[rid] = {};

	PlayerQuest.wizard.Working.failureConditions[rid].type = "death_spirit";
end

function PQ_FObj_Show_Type_Frame( id )
	for i = 0, PQ_NUM_FOBJ_TYPES, 1 do
		if(i == id) then
			getglobal(PQ_FObj_Type_Frame[i]):Show();
		else
			if(PQ_FObj_Type_Frame[i] ~= PQ_FObj_Type_Frame[id]) then
				getglobal(PQ_FObj_Type_Frame[i]):Hide();
			end
		end
	end
	
	local func = PQ_FObj_Type_Init[id];
	if(func) then
		func();
	end;
end
			
function PQ_FObj_Print( id )
	local test;
	local rt = PQ_FObj_Types[PlayerQuest.wizard.Working.failureConditions[id].type];
	
	return PQ_FObj_Type_Show[rt](PlayerQuest.wizard.Working.failureConditions[id]);
end;
			
PQ_FObj_Type_Show = {};

PQ_FObj_Type_Show[1] = function (f)
	return "Fail After "..f.failTime.." seconds";
end;

PQ_FObj_Type_Show[2] = function (f)
	return "Fail on death.";
end;

PQ_FObj_Type_Show[3] = function (f)
	return "Fail on spirit release.";
end;
