PQ_NUM_RESTRICT_TYPES = 7;

PQ_Restrict_Types = { ["nopush"]=1, 
			["player_name"]=2, 
			["player_guild"]=3,
			["player_race"]=4,
			["player_class"]=5,
			["player_level"]=6,
			["player_level_max"]=7
			};

PQ_Restrict_Type_Frame = { [0] = "PQ_SELECT_TYPE_FRAME",
			"PQ_NOSETTINGS_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME"
			};
			
PQ_Restrict_Type_Init = {};

PQ_Restrict_Type_Init[2] = function ()
	MF_ItemBox:Hide();
	MF_OP_Frame:Hide();
	PQ_MF_LBL1:Hide();
	MF_1Text:Hide();
	MF_1_TextBox:Hide();

	PQ_MF_LBL2:SetText(PQ_PLAYER_NAME);
end


PQ_Restrict_Type_Init[3] = function ()
	MF_ItemBox:Hide();
	MF_OP_Frame:Hide();
	PQ_MF_LBL1:Hide();
	MF_1Text:Hide();
	MF_1_TextBox:Hide();

	PQ_MF_LBL2:SetText(PQ_GUILD);
end


PQ_Restrict_Type_Init[4] = function ()
	MF_ItemBox:Hide();
	MF_OP_Frame:Hide();
	PQ_MF_LBL1:Hide();
	MF_1Text:Hide();
	MF_1_TextBox:Hide();

	PQ_MF_LBL2:SetText(PQ_RACE);
end


PQ_Restrict_Type_Init[5] = function ()
	MF_ItemBox:Hide();
	MF_OP_Frame:Hide();
	PQ_MF_LBL1:Hide();
	MF_1Text:Hide();
	MF_1_TextBox:Hide();

	PQ_MF_LBL2:SetText(PQ_CLASS);
end


PQ_Restrict_Type_Init[6] = function ()
	MF_ItemBox:Hide();
	MF_OP_Frame:Hide();
	PQ_MF_LBL1:Hide();
	MF_1Text:Hide();
	MF_1_TextBox:Hide();

	PQ_MF_LBL2:SetText(PQ_LEVEL_MIN);
end

PQ_Restrict_Type_Init[7] = function ()
	MF_ItemBox:Hide();
	MF_OP_Frame:Hide();
	PQ_MF_LBL1:Hide();
	MF_1Text:Hide();
	MF_1_TextBox:Hide();

	PQ_MF_LBL2:SetText(PQ_LEVEL_MAX);
end

PQ_Restrict_Type_LoadFunc = {};

PQ_Restrict_Type_LoadFunc[2] = function ( rid )
	MF_2_TextBox:SetText(""..PlayerQuest.wizard.Working.restricts[rid].name);
end

PQ_Restrict_Type_LoadFunc[3] = function ( rid )
	MF_2_TextBox:SetText(""..PlayerQuest.wizard.Working.restricts[rid].name);
end

PQ_Restrict_Type_LoadFunc[4] = function ( rid )
	MF_2_TextBox:SetText(""..PlayerQuest.wizard.Working.restricts[rid].name);
end

PQ_Restrict_Type_LoadFunc[5] = function ( rid )
	MF_2_TextBox:SetText(""..PlayerQuest.wizard.Working.restricts[rid].name);
end

PQ_Restrict_Type_LoadFunc[6] = function ( rid )
	MF_2_TextBox:SetText(""..PlayerQuest.wizard.Working.restricts[rid].minLevel);
end

PQ_Restrict_Type_LoadFunc[7] = function ( rid )
	MF_2_TextBox:SetText(""..PlayerQuest.wizard.Working.restricts[rid].maxLevel);
end

PQ_Restrict_Type_SaveFunc = {};

PQ_Restrict_Type_SaveFunc[0] = function ( rid )
	PlayerQuest.wizard.Working.restricts[rid] = nil;
end;

PQ_Restrict_Type_SaveFunc[1] = function ( rid )
	PlayerQuest.wizard.Working.restricts[rid] = {};

	PlayerQuest.wizard.Working.restricts[rid].type = "nopush";
end

PQ_Restrict_Type_SaveFunc[2] = function ( rid )
	PlayerQuest.wizard.Working.restricts[rid] = {};

	PlayerQuest.wizard.Working.restricts[rid].type = "player_name";
	PlayerQuest.wizard.Working.restricts[rid].name = MF_2_TextBox:GetText();
end

PQ_Restrict_Type_SaveFunc[3] = function ( rid )
	PlayerQuest.wizard.Working.restricts[rid] = {};

	PlayerQuest.wizard.Working.restricts[rid].type = "player_guild";
	PlayerQuest.wizard.Working.restricts[rid].name = MF_2_TextBox:GetText();
end

PQ_Restrict_Type_SaveFunc[4] = function ( rid )
	PlayerQuest.wizard.Working.restricts[rid] = {};

	PlayerQuest.wizard.Working.restricts[rid].type = "player_race";
	PlayerQuest.wizard.Working.restricts[rid].name = MF_2_TextBox:GetText();
end

PQ_Restrict_Type_SaveFunc[5] = function ( rid )
	PlayerQuest.wizard.Working.restricts[rid] = {};

	PlayerQuest.wizard.Working.restricts[rid].type = "player_class";
	PlayerQuest.wizard.Working.restricts[rid].name = MF_2_TextBox:GetText();
end

PQ_Restrict_Type_SaveFunc[6] = function ( rid )
	PlayerQuest.wizard.Working.restricts[rid] = {};

	PlayerQuest.wizard.Working.restricts[rid].type = "player_level";
	PlayerQuest.wizard.Working.restricts[rid].minLevel = tonumber(MF_2_TextBox:GetText());
end

PQ_Restrict_Type_SaveFunc[7] = function ( rid )
	PlayerQuest.wizard.Working.restricts[rid] = {};

	PlayerQuest.wizard.Working.restricts[rid].type = "player_level_max";
	PlayerQuest.wizard.Working.restricts[rid].maxLevel = tonumber(MF_2_TextBox:GetText());
end

function PQ_Restrict_Show_Type_Frame( id )
	for i = 0, PQ_NUM_RESTRICT_TYPES, 1 do
		if(i == id) then
			getglobal(PQ_Restrict_Type_Frame[i]):Show();
		else
			if(PQ_Restrict_Type_Frame[i] ~= PQ_Restrict_Type_Frame[id]) then
				getglobal(PQ_Restrict_Type_Frame[i]):Hide();
			end
		end
	end
	
	local func = PQ_Restrict_Type_Init[id];
	if(func) then
		func();
	end;
end
			
function PQ_Restrict_Print( id )
	local test;
	--PQ_OutputMessage(PlayerQuest.wizard.Working.restricts[id].type..":"..PQ_Restrict_Types[PlayerQuest.wizard.Working.restricts[id].type]);
	local rt = PQ_Restrict_Types[PlayerQuest.wizard.Working.restricts[id].type];
	
	return PQ_Restrict_Type_Show[rt](PlayerQuest.wizard.Working.restricts[id]);
end;
			
PQ_Restrict_Type_Show = {};

PQ_Restrict_Type_Show[1] = function (f)
	return "Not Shareable";
end;

PQ_Restrict_Type_Show[2] = function (f)
	return "Restrict to: "..f.name;
end;

PQ_Restrict_Type_Show[3] = function (f)
	return "Restrict to: "..f.name;
end;

PQ_Restrict_Type_Show[4] = function (f)
	return "Restrict to: "..f.name;
end;

PQ_Restrict_Type_Show[5] = function (f)
	return "Restrict to: "..f.name;
end;

PQ_Restrict_Type_Show[6] = function (f)
	return "Level "..f.minLevel.." and above";
end;

PQ_Restrict_Type_Show[7] = function (f)
	return "Level "..f.maxLevel.." and below";
end;
