--packages
PlayerQuest.interact = {};

local pqint = PlayerQuest.interact;

PlayerQuest.interact.WorkingQuest = nil;

function PlayerQuest.interact.PC_Talk()
	if(UnitName("target") ~= nil) then
		local PQ_PlayerClass, PQ_PlayerRace, PQ_PlayerLevel, PQ_PlayerGuild = UnitClass("player"), UnitRace("player"), UnitLevel("player"), GetGuildInfo("player");
		if(PQ_PlayerGuild == nil) then
			PQ_PlayerGuild = ""
		end;
		PlayerQuest.comms.Send(UnitName("target"), "MSG_PRECACHE_START", PQ_PlayerClass.."@"..PQ_PlayerRace.."@"..PQ_PlayerLevel.."@"..PQ_PlayerGuild);
	end
end;

function PlayerQuest.interact.CreateSlash(msg)
	--PQ_OutputMessage("Hello?");
	
	local firstword = nil;
	local restwords = nil;
	local idx = string.find(msg," ");
	if (idx) then
		firstword = string.lower(string.sub(msg,1,idx-1));
		restwords = string.sub(msg,idx+1);
	else
		firstword = string.lower(msg);
	end
	
	local pdata = PlayerQuest.PlayerData();

	if(firstword == "list") then 
      if pdata.nCreatedQuests > 0 then 
         for i=1, pdata.nCreatedQuests, 1 do 
            PlayerQuest.OutputMessage(i..". Quest: "..pdata.createdQuests[i].titleText.."("..pdata.createdQuests[i].level..")"); 
         end; 
      else 
         PlayerQuest.OutputMessage("No PlayerQuests created."); 
      end; 
	elseif(firstword == "talk") then
		local PQ_PlayerClass, PQ_PlayerRace, PQ_PlayerLevel, PQ_PlayerGuild = UnitClass("player"), UnitRace("player"), UnitLevel("player"), GetGuildInfo("player");
		if(PQ_PlayerGuild == nil) then
			PQ_PlayerGuild = ""
		end;
		PlayerQuest.comms.Send(UnitName("target"), "MSG_PRECACHE_START", PQ_PlayerClass.."@"..PQ_PlayerRace.."@"..PQ_PlayerLevel.."@"..PQ_PlayerGuild);
	elseif(firstword == "wiz") then
		PlayerQuest.OutputMessage("Loading Wizard...");
		HideUIPanel(QuestFrameGreetingPanel);
		HideUIPanel(QuestFrameRewardPanel);
		HideUIPanel(QuestFrameDetailPanel);
		PQFrame:Show();
		SetPortraitTexture(PlayerQuestFramePortrait, "player");
		getglobal("PlayerQuestFrameNpcNameText"):SetText("Create a New Quest");
		ShowUIPanel(QuestFrameWizardPanel1);
	elseif(firstword == "wizedit") then
      if restwords == nil then 
         PlayerQuest.OutputMessage("No quest number specified."); 
      else 
         PlayerQuest.OutputMessage("Loading Edit Wizard..."); 
         PlayerQuest.wizard.Working = pdata.createdQuests[tonumber(restwords)]; 
         HideUIPanel(QuestFrameGreetingPanel); 
         HideUIPanel(QuestFrameRewardPanel); 
         HideUIPanel(QuestFrameDetailPanel); 
         PQFrame:Show(); 
         SetPortraitTexture(PlayerQuestFramePortrait, "player"); 
         getglobal("PlayerQuestFrameNpcNameText"):SetText("Create a New Quest"); 
         ShowUIPanel(QuestFrameWizardPanel1); 
      end 
    --[[ elseif(firstword == "addrep") then
    	if(UnitIsPlayer("target")) then
	   		PlayerQuest.reputation.AddLocalRep(UnitName("target"), PlayerQuest.tonumber(restwords));
   			PlayerQuest.OutputMessage(PlayerQuest.tonumber(restwords).." reputation points added to "..UnitName("target")..".");
    	end ]]
	elseif(firstword == "clear") then
		PlayerQuest.wizard.WorkingQuest = nil;
		pdata.nCreatedQuests = 0;	
		pdata.createdQuests = {};
	elseif(firstword == "delete") then
		for i=tonumber(restwords), pdata.nCreatedQuests-1, 1 do
			pdata.createdQuests[i] = pdata.createdQuests[i+1];
		end
		pdata.nCreatedQuests = pdata.nCreatedQuests-1;
	end;
end;

SlashCmdList["PQCCOMMAND"] = PlayerQuest.interact.CreateSlash;
SLASH_PQCCOMMAND1 = "/pqc";
