--Set up the PlayerQuest package
PlayerQuest = {};

PlayerQuest.Version = "0.906C";

PQ_COMM_CHANNEL = "PQtheCalling";
-- PQ_COMM_CHECKED = 0;

function PlayerQuest.OnLoad()
	this:RegisterEvent("UNIT_PORTRAIT_UPDATE");
	this:RegisterEvent("VARIABLES_LOADED");
	
	PlayerQuest.events.RegisterEvents();

	this:RegisterEvent("PLAYER_TARGET_CHANGED");
end


function PlayerQuest.Slash(msg)
	if(msg == "reset") then
		if(PQ_Data[PlayerQuest.PlayerName]) then
			PQ_Data[PlayerQuest.PlayerName] = nil;
		end
		PlayerQuest.Init();
	end;
end;

SlashCmdList["PQCOMMAND"] = PlayerQuest.Slash;
SLASH_PQCOMMAND1 = "/pq";

function PlayerQuest.OnHide()
	PlayerQuest.inter.Intermediate = nil;
	PlayerQuest.comms.DataCache = nil;
end

function PlayerQuest.Init()
	if(not PQ_Data) then
		PQ_Data = {};
	end

	if(not PQ_Data[PlayerQuest.PlayerName]) then
		PQ_Data[PlayerQuest.PlayerName] = {};

		PQ_Data[PlayerQuest.PlayerName].nQuests = 0;
		PQ_Data[PlayerQuest.PlayerName].nCreatedQuests = 0;

		PQ_Data[PlayerQuest.PlayerName].quests = {};
		PQ_Data[PlayerQuest.PlayerName].createdQuests = {};
		
--		PQ_Data[PlayerQuest.PlayerName].nFactions = 0;
--		PQ_Data[PlayerQuest.PlayerName].factions = {};
		
		-- Faction TEST!!!
--		PQ_Data[PlayerQuest.PlayerName].nFactions = 1;
		
--		PQ_Data[PlayerQuest.PlayerName].factions[1] = {};
		
--		PQ_Data[PlayerQuest.PlayerName].factions[1].name = "Divine Anarchy";
--		PQ_Data[PlayerQuest.PlayerName].factions[1].standingID = 5;
--		PQ_Data[PlayerQuest.PlayerName].factions[1].barValue = 0.5;
--		PQ_Data[PlayerQuest.PlayerName].factions[1].atWarWith = nil;
--		PQ_Data[PlayerQuest.PlayerName].factions[1].canToggleAtWar = nil; 
--		PQ_Data[PlayerQuest.PlayerName].factions[1].isHeader = nil;
--		PQ_Data[PlayerQuest.PlayerName].factions[1].isCollapsed = nil;

		-- Quest TEST!!!!

--		PQ_Data[PlayerQuest.PlayerName].nQuests = 1;
--		PQ_Data[PlayerQuest.PlayerName].quests[1] = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].titleText = "Alpha Tester";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].level = 15;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].questTag = nil;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].isComplete = nil;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].Description = "This is the test quest that comes with this alpha version of the plugin.  Please be aware that there may be BIG bugs with this, as it's still in extremely early stages.  Also, this quest will probably be a lot easier for Alliance members.";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].Objectives = "This quest is designed to test objectives, so try to do the following.  Enter Ironforge, slay 3 Defias Pillagers, slay an opposing player, and win 5 duels.";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].requiredMoney = 0;
--		
--		PQ_Data[PlayerQuest.PlayerName].quests[1].rewardMoney = 0;
--		
--		PQ_Data[PlayerQuest.PlayerName].quests[1].logItems = {};
--
--		PQ_Data[PlayerQuest.PlayerName].quests[1].nLeaderBoards = 4;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[1] = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[1].ptype = "PTYPE_TEXT";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[1].text = "Travel to Ironforge";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[1].type = "area";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[2] = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[2].ptype = "PTYPE_COUNT";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[2].countThing = "Defias Pillager slain";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[2].countNumber = 0;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[2].countMax = 3;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[2].type = "monster";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[3] = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[3].ptype = "PTYPE_COUNT";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[3].countThing = "Opposing Player slain";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[3].countNumber = 0;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[3].countMax = 1;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[3].type = "pvp_any";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[4] = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[4].ptype = "PTYPE_COUNT";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[4].countThing = "Duels won";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[4].countNumber = 0;
----		PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[4].countMax = 5;
	--	PQ_Data[PlayerQuest.PlayerName].quests[1].leaderBoards[4].type = "duel_any";
--
--		PQ_Data[PlayerQuest.PlayerName].quests[1].finishPlayers = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].finishPlayers[1] = "Msrogue";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].nFinishPlayers = 1;
--		
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required = {};
--		-- required[i].leaderBoard - points to the leaderboard data for this item.
--		PQ_Data[PlayerQuest.PlayerName].quests[1].nRequired = 4;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[1] = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[1].type = "area";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[1].name = "Ironforge";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[1].leaderBoard = 1;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[2] = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[2].type = "monster";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[2].name = "Defias Pillager";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[2].leaderBoard = 2;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[3] = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[3].type = "pvp_any";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[3].name = "NA";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[3].leaderBoard = 3;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[4] = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[4].type = "duel_any";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[4].name = "NA";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].required[4].leaderBoard = 4;
--		
--		-- Data that hasn't been used yet
--		PQ_Data[PlayerQuest.PlayerName].quests[1].hasTimer = nil;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].timeLeft = nil;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].choices = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].nChoices = 0;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].rewards = {};
--		PQ_Data[PlayerQuest.PlayerName].quests[1].nRewards = 0;
--		PQ_Data[PlayerQuest.PlayerName].quests[1].guildRep = "Divine Anarchy";
--		PQ_Data[PlayerQuest.PlayerName].quests[1].guildRepIncrease = 0.1;
	end
	
	--Register various "Need to Know" items
	PlayerQuest.events.RegisterUpdates( QuestLog_OnEvent );
	if( MonkeyQuest_OnEvent ) then
		PlayerQuest.events.RegisterUpdates( MonkeyQuest_OnEvent );
	end;
	if( QuestToolTip_OnEvent ) then
		PlayerQuest.events.RegisterUpdates( QuestToolTip_OnEvent );
	end;
	if( QuestHistory_OnEvent ) then
		PlayerQuest.events.RegisterUpdates( QuestHistory_OnEvent );
	end;
	
	if( QuestIon_OnEvent ) then
		PlayerQuest.events.RegisterUpdates( QuestIon_OnEvent );
	end;
	
end

function PlayerQuest.OnEvent()

	if ( event == "UNIT_PORTRAIT_UPDATE" and arg1 == "player" ) then
		SetPortraitTexture(TradeSkillFramePortrait, "player");
		-- (Stolen from Pinky's code :))
                -- get the user name and output the loaded message
                -- kind of a hack to do it here, but it works...
		if (UnitName("player") ~= "Unknown Entity") then
			if (not PlayerQuest.LoadedMessageDisplayedP) then
            	-- doing this here to force a cache of the name
         		PlayerQuest.PlayerName = nil;
		        local p_player = PlayerQuest.GetPlayerName();
			  	PlayerQuest.OutputMessage("PlayerQuest v"..PlayerQuest.Version.." AddOn loaded.");
				PlayerQuest.LoadedMessageDisplayedP = true;
				if( PlayerQuest.Config_Loaded ) then
					PlayerQuest.Init();
				end
			end;
		end
	elseif (event == "VARIABLES_LOADED") then
		PlayerQuest.Config_Loaded = 1;
		if (PlayerQuest.PlayerName) then
			PlayerQuest.Init();
		end
		
		if(myAddOnsFrame) then
			myAddOnsList.PlayerQuest = {name = "PlayerQuest", description = "Quest creation for the little guy! (Modified for The Calling)", version = PlayerQuest.Version, category = MYADDONS_CATEGORY_QUESTS, frame = "PQFrame"};
		end

		return;
	
	end
	
	PlayerQuest.events.ProcessEvents(event, arg1, arg2, arg3);
end

function PlayerQuest.GetPlayerName()
  if (PlayerQuest.PlayerName == nil) then
    local realm = GetCVar("realmName");
    local playername = UnitName("player");
    PlayerQuest.PlayerName = realm.."|"..playername;
    PlayerQuest.ShortPlayerName = playername;
  end;
  return PlayerQuest.PlayerName;
end;

function PlayerQuest.PlayerData()
	if(PQ_Data) then
		return PQ_Data[PlayerQuest.PlayerName];
	end
end

--
-- simple routine for outputing to the chat windows
--

function PlayerQuest.OutputMessage(string)
  DEFAULT_CHAT_FRAME:AddMessage(string);
end;


function PlayerQuest.CompMessage(msg)
	UIErrorsFrame:AddMessage(msg, 1.0, 0.1, 1.0, 1.0, UIERRORS_HOLD_TIME);
end

function PlayerQuest.tonumber(string)
  if(string == nil) then
  	return 0;
  else
  	local num = tonumber(string);
  	if(num == nil) then
  		return 0;
  	else
  		return num;
  	end
  end
end;

function PlayerQuest.AliasReplace(string_sent, pname, pclass, prace, pguild)
	local work_string = string_sent;
	
	-- Reciever Alias
	work_string = gsub(work_string, "%%p", pname);
	work_string = gsub(work_string, "%%c", pclass);
	work_string = gsub(work_string, "%%r", prace);
	if(pguild) then
		work_string = gsub(work_string, "%%g", pguild);
	end;
	
	return work_string;
end;

function PlayerQuest.QuestButtonOnClick(player)
	PlayerQuest.comms.Send(player, "MSG_PRECACHE_START", "");  -- third parameter will be extended info later.
end;

function PlayerQuest.Ready()
	if(PQ_Data) then
		if(PlayerQuest.PlayerName) then
			return 1;
		end
	end
	
	return nil;
end


--Create the overrides package
PlayerQuest.overrides = {};

PlayerQuest.overrides.GetQuestLogQuestText = GetQuestLogQuestText;
PlayerQuest.overrides.GetQuestLogSelection = GetQuestLogSelection;
PlayerQuest.overrides.GetQuestLogTitle = GetQuestLogTitle;
PlayerQuest.overrides.GetNumQuestLogEntries = GetNumQuestLogEntries;
PlayerQuest.overrides.GetQuestLogPushable = GetQuestLogPushable;
PlayerQuest.overrides.SelectQuestLogEntry = SelectQuestLogEntry;
PlayerQuest.overrides.GetQuestLogLeaderBoard = GetQuestLogLeaderBoard;
PlayerQuest.overrides.GetQuestLogRequiredMoney = GetQuestLogRequiredMoney;
PlayerQuest.overrides.GetQuestLogItemLink = GetQuestLogItemLink;
PlayerQuest.overrides.GetNumQuestLeaderBoards = GetNumQuestLeaderBoards;
PlayerQuest.overrides.DeclineQuest = DeclineQuest;
PlayerQuest.overrides.ExpandQuestHeader = ExpandQuestHeader;
PlayerQuest.overrides.CollapseQuestHeader = CollapseQuestHeader;
PlayerQuest.overrides.AcceptQuest = AcceptQuest;
PlayerQuest.overrides.QuestChooseRewardError = QuestChooseRewardError;
PlayerQuest.overrides.GetNumQuestLogRewards = GetNumQuestLogRewards;
PlayerQuest.overrides.GetNumQuestLogChoices = GetNumQuestLogChoices;
PlayerQuest.overrides.GetQuestLogRewardSpell = GetQuestLogRewardSpell;
PlayerQuest.overrides.GetQuestLogRewardMoney = GetQuestLogRewardMoney;
PlayerQuest.overrides.GetQuestLogChoiceInfo = GetQuestLogChoiceInfo;
PlayerQuest.overrides.GetQuestLogRewardInfo = GetQuestLogRewardInfo;
PlayerQuest.overrides.GetQuestLogRewardSpell = GetQuestLogRewardSpell;
PlayerQuest.overrides.GetQuestBackgroundMaterial = GetQuestBackgroundMaterial;
PlayerQuest.overrides.GetQuestLogTimeLeft = GetQuestLogTimeLeft;
PlayerQuest.overrides.SetAbandonQuest = SetAbandonQuest;
PlayerQuest.overrides.GetAbandonQuestName = GetAbandonQuestName;
PlayerQuest.overrides.AbandonQuest = AbandonQuest;
PlayerQuest.overrides.AddQuestWatch = AddQuestWatch;
PlayerQuest.overrides.RemoveQuestWatch = RemoveQuestWatch;
PlayerQuest.overrides.IsQuestWatched = IsQuestWatched;
PlayerQuest.overrides.QuestFrame_OnHide = QuestFrame_OnHide;
PlayerQuest.overrides.ChatFrame_OnEvent = ChatFrame_OnEvent;
PlayerQuest.overrides.PickupItem = PickupContainerItem;
PlayerQuest.overrides.GetNumFactions = GetNumFactions;
PlayerQuest.overrides.GetFactionInfo = GetFactionInfo;
PlayerQuest.overrides.GetQuestReward = GetQuestReward;
PlayerQuest.overrides.CompleteQuest = CompleteQuest;
PlayerQuest.overrides.GetNumQuestItems = GetNumQuestItems;
PlayerQuest.overrides.GetQuestMoneyToGet = GetQuestMoneyToGet;
PlayerQuest.overrides.GetQuestItemInfo = GetQuestItemInfo;
PlayerQuest.overrides.GetNumActiveQuests = GetNumActiveQuests;
PlayerQuest.overrides.GetNumAvailableQuests = GetNumAvailableQuests;
PlayerQuest.overrides.GetActiveTitle = GetActiveTitle;
PlayerQuest.overrides.GetAvailableTitle = GetAvailableTitle;
PlayerQuest.overrides.GetGreetingText = GetGreetingText;
PlayerQuest.overrides.GetNumQuestRewards = GetNumQuestRewards;
PlayerQuest.overrides.GetNumQuestChoices = GetNumQuestChoices;
PlayerQuest.overrides.GetRewardSpell = GetRewardSpell;
PlayerQuest.overrides.GetRewardMoney = GetRewardMoney;
PlayerQuest.overrides.GetRewardText = GetRewardText;
PlayerQuest.overrides.GetTitleText = GetTitleText;
PlayerQuest.overrides.GetQuestText = GetQuestText;
PlayerQuest.overrides.GetProgressText = GetProgressText;
PlayerQuest.overrides.GetRewardText = GetRewardText;
PlayerQuest.overrides.GetObjectiveText = GetObjectiveText;
PlayerQuest.overrides.CloseQuest = CloseQuest;
PlayerQuest.overrides.SelectAvailableQuest = SelectAvailableQuest;
PlayerQuest.overrides.SelectActiveQuest = SelectActiveQuest;
PlayerQuest.overrides.IsQuestCompletable = IsQuestCompletable;
