PQ_NUM_REQ_TYPES = 15;

PQ_Req_Types = { ["item"]=1, 
			["area"]=2, 
			["area_timed"]=3, 
			["point"]=4, 
			["point_timed"]=5, 
			["duel_any"]=6, 
			["duel_specific"]=7, 
			["duel_class"]=8, 
			["duel_guild"]=9, 
			["pvp_any"]=10, 
			["pvp_specific"]=11, 
			["pvp_class"]=12, 
			["pvp_race"]=13, 
			["pvp_guild"]=14,
			["monster"]=15 
			};

PQ_Req_Type_Frame = { [0] = "PQ_SELECT_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_ENTERAREA_TYPE_FRAME",
			"PQ_ENTERAREA_TYPE_FRAME",
			"PQ_UNIMP_TYPE_FRAME",
			"PQ_UNIMP_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME",
			"PQ_MISC_TYPE_FRAME"
			};
			
PQ_Req_Type_Init = {};

PQ_Req_Type_Init[1] = function ()
	MF_ItemBox:Show();
	PQ_MF_LBL1:Hide();
	MF_1Text:Hide();
	MF_1_TextBox:Hide();
	MF_OP_Frame:Hide();
	
	PQ_MF_LBL2:SetText(PQ_COUNT);
	
	MF_2_TextBox:SetText("");
	PQ_MF_ILBL1:SetText("<No Item>");
	MF_ItemBox_BoxIcon:SetTexture(GetInventorySlotInfo("Trinket0Slot"));
end

PQ_Req_Type_Init[2] = function ()
	PQEATIME_Frame:Hide();
end

PQ_Req_Type_Init[3] = function ()
	PQEATIME_Frame:Show();
end

PQ_Req_Type_Init[6] = function ()
	MF_ItemBox:Hide();
	PQ_MF_LBL1:Hide();
	MF_1Text:Hide();
	MF_1_TextBox:Hide();
	MF_OP_Frame:Show();
	
	PQ_MF_LBL2:SetText(PQ_NUMBER_OF_WINS);
end
PQ_Req_Type_Init[7] = function ()
	MF_ItemBox:Hide();
	PQ_MF_LBL1:Show();
	MF_1Text:Show();
	MF_1_TextBox:Show();
	MF_OP_Frame:Show();

	PQ_MF_LBL1:SetText(PQ_PLAYER_NAME);
	PQ_MF_LBL2:SetText(PQ_NUMBER_OF_WINS);
end
PQ_Req_Type_Init[8] = function ()
	MF_ItemBox:Hide();
	PQ_MF_LBL1:Show();
	MF_1Text:Show();
	MF_1_TextBox:Show();
	MF_OP_Frame:Show();

	PQ_MF_LBL1:SetText(PQ_CLASS);
	PQ_MF_LBL2:SetText(PQ_NUMBER_OF_WINS);
end
PQ_Req_Type_Init[9] = function ()
	MF_ItemBox:Hide();
	PQ_MF_LBL1:Show();
	MF_1Text:Show();
	MF_1_TextBox:Show();
	MF_OP_Frame:Show();

	PQ_MF_LBL1:SetText(PQ_GUILD);
	PQ_MF_LBL2:SetText(PQ_NUMBER_OF_WINS);
end

PQ_Req_Type_Init[10] = function ()
	MF_ItemBox:Hide();
	PQ_MF_LBL1:Hide();
	MF_1Text:Hide();
	MF_1_TextBox:Hide();
	MF_OP_Frame:Show();
	
	PQ_MF_LBL2:SetText(PQ_NUMBER_OF_WINS);
end
PQ_Req_Type_Init[11] = function ()
	MF_ItemBox:Hide();
	PQ_MF_LBL1:Show();
	MF_1Text:Show();
	MF_1_TextBox:Show();
	MF_OP_Frame:Show();

	PQ_MF_LBL1:SetText(PQ_PLAYER_NAME);
	PQ_MF_LBL2:SetText(PQ_NUMBER_OF_WINS);
end
PQ_Req_Type_Init[12] = function ()
	MF_ItemBox:Hide();
	PQ_MF_LBL1:Show();
	MF_1Text:Show();
	MF_1_TextBox:Show();
	MF_OP_Frame:Show();

	PQ_MF_LBL1:SetText(PQ_CLASS);
	PQ_MF_LBL2:SetText(PQ_NUMBER_OF_WINS);
end
PQ_Req_Type_Init[13] = function ()
	MF_ItemBox:Hide();
	PQ_MF_LBL1:Show();
	MF_1Text:Show();
	MF_1_TextBox:Show();
	MF_OP_Frame:Show();

	PQ_MF_LBL1:SetText(PQ_RACE);
	PQ_MF_LBL2:SetText(PQ_NUMBER_OF_WINS);
end
PQ_Req_Type_Init[14] = function ()
	MF_ItemBox:Hide();
	PQ_MF_LBL1:Show();
	MF_1Text:Show();
	MF_1_TextBox:Show();
	MF_OP_Frame:Show();

	PQ_MF_LBL1:SetText(PQ_GUILD);
	PQ_MF_LBL2:SetText(PQ_NUMBER_OF_WINS);
end

PQ_Req_Type_Init[15] = function ()
	MF_ItemBox:Hide();
	PQ_MF_LBL1:Show();
	MF_1Text:Show();
	MF_1_TextBox:Show();
	MF_OP_Frame:Hide();

	PQ_MF_LBL1:SetText(PQ_MOB_NAME);
	PQ_MF_LBL2:SetText(PQ_NUMBER_OF_WINS);
end

PQ_Req_Type_LoadFunc = {};

PQ_Req_Type_LoadFunc[1] = function ( rid )
	MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	PQ_MF_ILBL1:SetText(PlayerQuest.wizard.Working.required[rid].name);
	MF_ItemBox_BoxIcon:SetTexture(PlayerQuest.wizard.Working.required[rid].texture);

	
	PlayerQuest.items.CurrentItem  = {};
	PlayerQuest.items.CurrentItem.name = PlayerQuest.wizard.Working.required[rid].name;
	PlayerQuest.items.CurrentItem.link = PlayerQuest.wizard.Working.required[rid].link;
	PlayerQuest.items.CurrentItem.texture = PlayerQuest.wizard.Working.required[rid].texture;
end

PQ_Req_Type_LoadFunc[2] = function ( rid )
	PQEA_TextBox:SetText(PlayerQuest.wizard.Working.required[rid].name);
	PQEADISP_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].text);
end

PQ_Req_Type_LoadFunc[3] = function ( rid )
	PQEA_TextBox:SetText(PlayerQuest.wizard.Working.required[rid].name);
	PQEADISP_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].text);
	PQEATIME_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].fullTime/60));
end			

PQ_Req_Type_LoadFunc[6] = function ( rid )
	MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	MF_LL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeLow));
	MF_HL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeHigh));
end			
PQ_Req_Type_LoadFunc[7] = function ( rid )
	MF_1_TextBox:SetText(PlayerQuest.wizard.Working.required[rid].name);
	MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	MF_LL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeLow));
	MF_HL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeHigh));
end			
PQ_Req_Type_LoadFunc[8] = function ( rid )
	MF_1_TextBox:SetText(PlayerQuest.wizard.Working.required[rid].name);
	MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	MF_LL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeLow));
	MF_HL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeHigh));
end			
PQ_Req_Type_LoadFunc[9] = function ( rid )
	MF_1_TextBox:SetText(PlayerQuest.wizard.Working.required[rid].name);
	MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	MF_LL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeLow));
	MF_HL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeHigh));
end			

PQ_Req_Type_LoadFunc[10] = function ( rid )
--	MF_1_TextBox:SetText(PlayerQuest.wizard.Working.required[rid].name);
	MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	MF_LL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeLow));
	MF_HL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeHigh));
end			
PQ_Req_Type_LoadFunc[11] = function ( rid )
	MF_1_TextBox:SetText(PlayerQuest.wizard.Working.required[rid].name);
	MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	MF_LL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeLow));
	MF_HL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeHigh));
end			
PQ_Req_Type_LoadFunc[12] = function ( rid )
	MF_1_TextBox:SetText(PlayerQuest.wizard.Working.required[rid].name);
	MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	MF_LL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeLow));
	MF_HL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeHigh));
end			
PQ_Req_Type_LoadFunc[13] = function ( rid )
	MF_1_TextBox:SetText(PlayerQuest.wizard.Working.required[rid].name);
	MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	MF_LL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeLow));
	MF_HL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeHigh));
end			
PQ_Req_Type_LoadFunc[14] = function ( rid )
	MF_1_TextBox:SetText(PlayerQuest.wizard.Working.required[rid].name);
	MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	MF_LL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeLow));
	MF_HL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeHigh));
end			

PQ_Req_Type_LoadFunc[15] = function ( rid )
	MF_1_TextBox:SetText(PlayerQuest.wizard.Working.required[rid].name);
	MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	--MF_LL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeLow));
	--MF_HL_TextBox:SetText(""..(PlayerQuest.wizard.Working.required[rid].levelRangeHigh));
end			

PQ_Req_Type_SaveFunc = {};

PQ_Req_Type_SaveFunc[0] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = nil;
	PlayerQuest.wizard.Working.leaderBoards[rid] = nil;
end;

PQ_Req_Type_SaveFunc[1] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "item";
	PlayerQuest.wizard.Working.required[rid].name = PlayerQuest.items.CurrentItem.name;
	PlayerQuest.wizard.Working.required[rid].link = PlayerQuest.items.CurrentItem.link;
	PlayerQuest.wizard.Working.required[rid].texture = PlayerQuest.items.CurrentItem.texture;
--		PQ_CursorItem.name = name;
--		PQ_CursorItem.link = GetContainerItemLink(bag, slot);
--		PQ_CursorItem.texture = GetContainerItemInfo(bag, slot);
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "item";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_COUNT";
	PlayerQuest.wizard.Working.leaderBoards[rid].text = PlayerQuest.items.CurrentItem.name.." found";
	PlayerQuest.wizard.Working.leaderBoards[rid].countMax = PlayerQuest.tonumber(MF_2_TextBox:GetText());
	--MF_2_TextBox:SetText(PlayerQuest.wizard.Working.leaderBoards[rid].countMax);
	--PQ_MF_ILBL1:SetText(PlayerQuest.wizard.Working.required[rid].name);
	--MF_ItemBox_BoxIcon:SetTexture(PlayerQuest.wizard.Working.required[rid].texture);
end

PQ_Req_Type_SaveFunc[2] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "area";
	PlayerQuest.wizard.Working.required[rid].name = PQEA_TextBox:GetText();
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "area";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_TEXT";
	PlayerQuest.wizard.Working.leaderBoards[rid].text = PQEADISP_TextBox:GetText();
end

PQ_Req_Type_SaveFunc[3] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "area_timed";
	PlayerQuest.wizard.Working.required[rid].name = PQEA_TextBox:GetText();
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	PlayerQuest.wizard.Working.required[rid].fullTime = 60*PlayerQuest.tonumber(PQEATIME_TextBox:GetText());
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "area";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_TEXT";
	PlayerQuest.wizard.Working.leaderBoards[rid].text = PQEADISP_TextBox:GetText();
end

PQ_Req_Type_SaveFunc[6] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "duel_any";
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	PlayerQuest.wizard.Working.required[rid].levelRangeLow = PlayerQuest.tonumber(MF_LL_TextBox:GetText());
	PlayerQuest.wizard.Working.required[rid].levelRangeHigh = PlayerQuest.tonumber(MF_HL_TextBox:GetText());
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "duel_any";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_COUNT";
	PlayerQuest.wizard.Working.leaderBoards[rid].countMax = PlayerQuest.tonumber(MF_2_TextBox:GetText());
	PlayerQuest.wizard.Working.leaderBoards[rid].text = "Win Duel";
end

PQ_Req_Type_SaveFunc[7] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "duel_specific";
	PlayerQuest.wizard.Working.required[rid].name = MF_1_TextBox:GetText();
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	PlayerQuest.wizard.Working.required[rid].levelRangeLow = PlayerQuest.tonumber(MF_LL_TextBox:GetText());
	PlayerQuest.wizard.Working.required[rid].levelRangeHigh = PlayerQuest.tonumber(MF_HL_TextBox:GetText());
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "duel_specific";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_COUNT";
	PlayerQuest.wizard.Working.leaderBoards[rid].countMax = PlayerQuest.tonumber(MF_2_TextBox:GetText());
	PlayerQuest.wizard.Working.leaderBoards[rid].text = "Defeat "..MF_1_TextBox:GetText().." in a Duel";
end

PQ_Req_Type_SaveFunc[8] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "duel_class";
	PlayerQuest.wizard.Working.required[rid].name = MF_1_TextBox:GetText();
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	PlayerQuest.wizard.Working.required[rid].levelRangeLow = PlayerQuest.tonumber(MF_LL_TextBox:GetText());
	PlayerQuest.wizard.Working.required[rid].levelRangeHigh = PlayerQuest.tonumber(MF_HL_TextBox:GetText());
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "duel_class";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_COUNT";
	PlayerQuest.wizard.Working.leaderBoards[rid].countMax = PlayerQuest.tonumber(MF_2_TextBox:GetText());
	PlayerQuest.wizard.Working.leaderBoards[rid].text = "Defeat a "..MF_1_TextBox:GetText().." in a Duel";
end

PQ_Req_Type_SaveFunc[9] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "duel_guild";
	PlayerQuest.wizard.Working.required[rid].name = MF_1_TextBox:GetText();
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	PlayerQuest.wizard.Working.required[rid].levelRangeLow = PlayerQuest.tonumber(MF_LL_TextBox:GetText());
	PlayerQuest.wizard.Working.required[rid].levelRangeHigh = PlayerQuest.tonumber(MF_HL_TextBox:GetText());
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "duel_guild";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_COUNT";
	PlayerQuest.wizard.Working.leaderBoards[rid].countMax = PlayerQuest.tonumber(MF_2_TextBox:GetText());
	PlayerQuest.wizard.Working.leaderBoards[rid].text = "Defeat a Member of "..MF_1_TextBox:GetText().." in a Duel";
end


PQ_Req_Type_SaveFunc[10] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "pvp_any";
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	PlayerQuest.wizard.Working.required[rid].levelRangeLow = PlayerQuest.tonumber(MF_LL_TextBox:GetText());
	PlayerQuest.wizard.Working.required[rid].levelRangeHigh = PlayerQuest.tonumber(MF_HL_TextBox:GetText());
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "pvp_any";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_COUNT";
	PlayerQuest.wizard.Working.leaderBoards[rid].countMax = PlayerQuest.tonumber(MF_2_TextBox:GetText());
	PlayerQuest.wizard.Working.leaderBoards[rid].text = "Defeat Opposing Player";
end

PQ_Req_Type_SaveFunc[11] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "pvp_specific";
	PlayerQuest.wizard.Working.required[rid].name = MF_1_TextBox:GetText();
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	PlayerQuest.wizard.Working.required[rid].levelRangeLow = PlayerQuest.tonumber(MF_LL_TextBox:GetText());
	PlayerQuest.wizard.Working.required[rid].levelRangeHigh = PlayerQuest.tonumber(MF_HL_TextBox:GetText());
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "pvp_specific";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_COUNT";
	PlayerQuest.wizard.Working.leaderBoards[rid].countMax = PlayerQuest.tonumber(MF_2_TextBox:GetText());
	PlayerQuest.wizard.Working.leaderBoards[rid].text = "Defeat "..MF_1_TextBox:GetText();
end

PQ_Req_Type_SaveFunc[12] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "pvp_class";
	PlayerQuest.wizard.Working.required[rid].name = MF_1_TextBox:GetText();
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	PlayerQuest.wizard.Working.required[rid].levelRangeLow = PlayerQuest.tonumber(MF_LL_TextBox:GetText());
	PlayerQuest.wizard.Working.required[rid].levelRangeHigh = PlayerQuest.tonumber(MF_HL_TextBox:GetText());
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "pvp_class";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_COUNT";
	PlayerQuest.wizard.Working.leaderBoards[rid].countMax = PlayerQuest.tonumber(MF_2_TextBox:GetText());
	PlayerQuest.wizard.Working.leaderBoards[rid].text = "Defeat "..MF_1_TextBox:GetText();
end

PQ_Req_Type_SaveFunc[13] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "pvp_race";
	PlayerQuest.wizard.Working.required[rid].name = MF_1_TextBox:GetText();
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	PlayerQuest.wizard.Working.required[rid].levelRangeLow = PlayerQuest.tonumber(MF_LL_TextBox:GetText());
	PlayerQuest.wizard.Working.required[rid].levelRangeHigh = PlayerQuest.tonumber(MF_HL_TextBox:GetText());
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "pvp_race";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_COUNT";
	PlayerQuest.wizard.Working.leaderBoards[rid].countMax = PlayerQuest.tonumber(MF_2_TextBox:GetText());
	PlayerQuest.wizard.Working.leaderBoards[rid].text = "Defeat "..MF_1_TextBox:GetText();
end

PQ_Req_Type_SaveFunc[14] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "pvp_guild";
	PlayerQuest.wizard.Working.required[rid].name = MF_1_TextBox:GetText();
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	PlayerQuest.wizard.Working.required[rid].levelRangeLow = PlayerQuest.tonumber(MF_LL_TextBox:GetText());
	PlayerQuest.wizard.Working.required[rid].levelRangeHigh = PlayerQuest.tonumber(MF_HL_TextBox:GetText());
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "pvp_guild";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_COUNT";
	PlayerQuest.wizard.Working.leaderBoards[rid].countMax = PlayerQuest.tonumber(MF_2_TextBox:GetText());
	PlayerQuest.wizard.Working.leaderBoards[rid].text = "Defeat "..MF_1_TextBox:GetText();
end

PQ_Req_Type_SaveFunc[15] = function ( rid )
	PlayerQuest.wizard.Working.required[rid] = {};
	PlayerQuest.wizard.Working.leaderBoards[rid] = {};

	PlayerQuest.wizard.Working.required[rid].type = "monster";
	PlayerQuest.wizard.Working.required[rid].name = MF_1_TextBox:GetText();
	PlayerQuest.wizard.Working.required[rid].leaderBoard = rid;
	--PlayerQuest.wizard.Working.required[rid].levelRangeLow = tonumber(MF_LL_TextBox:GetText());
	--PlayerQuest.wizard.Working.required[rid].levelRangeHigh = tonumber(MF_HL_TextBox:GetText());
	
	-- create a leaderboard.
	PlayerQuest.wizard.Working.leaderBoards[rid].type = "monster";
	PlayerQuest.wizard.Working.leaderBoards[rid].ptype = "PTYPE_COUNT";
	PlayerQuest.wizard.Working.leaderBoards[rid].countMax = PlayerQuest.tonumber(MF_2_TextBox:GetText());
	PlayerQuest.wizard.Working.leaderBoards[rid].text = MF_1_TextBox:GetText().." Slain";
end

function PQ_Show_Type_Frame( id )
	for i = 0, PQ_NUM_REQ_TYPES, 1 do
		if(i == id) then
			getglobal(PQ_Req_Type_Frame[i]):Show();
		else
			if(PQ_Req_Type_Frame[i] ~= PQ_Req_Type_Frame[id]) then
				getglobal(PQ_Req_Type_Frame[i]):Hide();
			end
		end
	end
	
	local func = PQ_Req_Type_Init[id];
	if(func) then
		func();
	end;
end
			
function PQ_Req_Print( id )
	local test;
	local rt = PQ_Req_Types[PlayerQuest.wizard.Working.required[id].type];
	
	return PQ_Req_Type_Show[rt](PlayerQuest.wizard.Working.required[id], PlayerQuest.wizard.Working.leaderBoards[PlayerQuest.wizard.Working.required[id].leaderBoard]);
end;
			
PQ_Req_Type_Show = {};

PQ_Req_Type_Show[1] = function (req, lb)
	return "Find "..lb.countMax.." "..req.name.."(s)";
end;

PQ_Req_Type_Show[2] = function (req, lb)
	return "Go to "..req.name;
end;

PQ_Req_Type_Show[3] = function (req, lb)

	return "Remain in "..req.name.." for "..req.timeRemain.."minute(s)";
end;

PQ_Req_Type_Show[4] = function (req, lb)

	return "Go to "..req.name.." ("..req.x..", "..req.y..")";
end;

PQ_Req_Type_Show[5] = function (req, lb)

	return "Remain at "..req.name.." ("..req.x..", "..req.y..") for "..req.timeRemain.."minute(s)";
end;

PQ_Req_Type_Show[6] = function (req, lb)

	return "Win "..lb.countMax.." Duel(s)";
end;

PQ_Req_Type_Show[7] = function (req, lb)

	return "Win "..lb.countMax.." Duel(s) vs. "..req.name;
end;

PQ_Req_Type_Show[8] = function (req, lb)

	return "Win "..lb.countMax.." Duel(s) vs. "..req.name;
end;

PQ_Req_Type_Show[9] = function (req, lb)

	return "Win "..lb.countMax.." Duel(s) vs. "..req.name;
end;

PQ_Req_Type_Show[10] = function (req, lb)

	return "Defeat "..lb.countMax.." enemy players.";
end;

PQ_Req_Type_Show[11] = function (req, lb)

	return "Defeat "..req.name.." "..lb.countMax.." times";
end;

PQ_Req_Type_Show[12] = function (req, lb)

	return "Defeat a "..req.name.." "..lb.countMax.." times";
end;

PQ_Req_Type_Show[13] = function (req, lb)

	return "Defeat a(n) "..req.name.." "..lb.countMax.." times";
end;

PQ_Req_Type_Show[14] = function (req, lb)

	return "Defeat a member of the \""..req.name.."\" guild "..lb.countMax.." times";
end;

PQ_Req_Type_Show[15] = function (req, lb)

	return "Defeat "..lb.countMax.." "..req.name.."(s).";
end;
