--packages
PlayerQuest.items = {};

PlayerQuest.items.CursorItem = nil;


function PlayerQuest.items.PickupContainerItem(bag, slot)
	--EquipManager_HookClearMoney();
	PQTooltip:SetBagItem(bag, slot);
	--EquipManager_UnHookClearMoney();
	local name = PQTooltipTextLeft1:GetText();
	PlayerQuest.overrides.PickupItem(bag, slot);
	
	if (CursorHasItem()) then
		PlayerQuest.items.CursorItem = {};
		PlayerQuest.items.CursorItem.bag = bag;
		PlayerQuest.items.CursorItem.slot = slot;
		PlayerQuest.items.CursorItem.name = name;
		PlayerQuest.items.CursorItem.link = GetContainerItemLink(bag, slot);
		PlayerQuest.items.CursorItem.texture = GetContainerItemInfo(bag, slot);
	end
end

function PlayerQuest.items.PlaceItem()
	if(CursorHasItem() and PlayerQuest.items.CursorItem) then
		PlayerQuest.items.CurrentItem = PlayerQuest.items.CursorItem;
		PlayerQuest.items.CursorItem = nil;
		
		local icon = getglobal(this:GetName().."Icon");
		local nameLabel = getglobal("PQ_MF_ILBL1");

		icon:SetTexture(PlayerQuest.items.CurrentItem.texture);
		nameLabel:SetText("<"..PlayerQuest.items.CurrentItem.name..">");

		PickupSpell(1,"spell"); -- Doing this twice is a safe way to clear cursor
		PickupSpell(1,"spell");
	end
end
