-- packages

PlayerQuest.watch = {}


----------------****Overrides****------------------

function RemoveQuestWatch(questIndex)
	if(PlayerQuest.Ready()) then
		local pdata = PlayerQuest.PlayerData();
		if(pdata.nQuests > 0) then
			if(questIndex > 1 + pdata.nQuests) then
				return PlayerQuest.overrides.RemoveQuestWatch(questIndex);
			else
				if(pdata.quests[questIndex-1]) then
					pdata.quests[questIndex-1].isTracked = nil;
					return PlayerQuest.overrides.RemoveQuestWatch(questIndex);
				else
					return nil;
				end
			end
		end
	end
	return PlayerQuest.overrides.RemoveQuestWatch(questIndex);
end

function AddQuestWatch(questIndex)
	if(PlayerQuest.Ready()) then
		local pdata = PlayerQuest.PlayerData();
		if(pdata.nQuests > 0) then
			if(questIndex > 1 + pdata.nQuests) then
				return PlayerQuest.overrides.AddQuestWatch(questIndex);
			else
				if(pdata.quests[questIndex-1]) then
					pdata.quests[questIndex-1].isTracked = 1;
					return PlayerQuest.overrides.AddQuestWatch(questIndex)
				else
					return nil;
				end
			end
		end
	end
	return PlayerQuest.overrides.AddQuestWatch(questIndex);
end


function IsQuestWatched(questIndex)
	if(PlayerQuest.Ready()) then
		local pdata = PlayerQuest.PlayerData();
		if(pdata.nQuests > 0) then
			if(questIndex > 1 + pdata.nQuests) then
				return PlayerQuest.overrides.IsQuestWatched(questIndex);
			else
				if(pdata.quests[questIndex-1]) then
					return pdata.quests[questIndex-1].isTracked;
				else
					return nil;
				end
			end
		end
	end
	return PlayerQuest.overrides.IsQuestWatched(questIndex);
end